• Precios
  • Blog
Iniciar sesiónAgendá una demo
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Activate add-on

Activate an add-on on a subscription. Charges a prorated amount for the current billing period.

POST
/subscriptions/{id}/addons

Activate an add-on on a subscription. Charges a prorated amount for the current billing period.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/subscriptions/string/addons" \  -H "Content-Type: application/json" \  -d '{    "addonId": "string"  }'
{  "addonId": "string",  "status": "active",  "proratedCharge": -9007199254740991,  "object": "subscription_addon",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create add-on POST

Create a new add-on linked to a feature. Each feature can only be assigned to one add-on.

addonId*string
Length1 <= length